IP Intelligence
IP Intelligence: all
Cost: 1 core search.
POST
/
tools
/
ip-intelligence
/
all
IP Intelligence: all
curl --request POST \
--url https://api.osint.ly/tools/ip-intelligence/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "1.1.1.1",
"save": false,
"sections": []
}
'import requests
url = "https://api.osint.ly/tools/ip-intelligence/all"
payload = {
"ip": "1.1.1.1",
"save": False,
"sections": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip: '1.1.1.1', save: false, sections: []})
};
fetch('https://api.osint.ly/tools/ip-intelligence/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/ip-intelligence/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ip' => '1.1.1.1',
'save' => false,
'sections' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/ip-intelligence/all"
payload := strings.NewReader("{\n \"ip\": \"1.1.1.1\",\n \"save\": false,\n \"sections\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/ip-intelligence/all")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ip\": \"1.1.1.1\",\n \"save\": false,\n \"sections\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/ip-intelligence/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ip\": \"1.1.1.1\",\n \"save\": false,\n \"sections\": []\n}"
response = http.request(request)
puts response.read_body{
"data": {
"partialErrors": [],
"collectedSections": [
"geo",
"network",
"bgp",
"whois",
"rdns",
"risk",
"ports",
"reputation",
"hosted-domains"
],
"bgp": {
"routing": {
"observedAt": "2026-11-12T16:00:00",
"firstSeen": {
"prefix": "1.1.1.0/24",
"origin": "19855",
"time": "2001-11-14T00:00:00"
},
"lastSeen": {
"prefix": "1.1.1.0/24",
"origin": "13335",
"time": "2026-11-12T16:00:00"
},
"visibility": {
"v4": {
"ris_peers_seeing": 234,
"total_ris_peers": 235
},
"v6": {
"ris_peers_seeing": 0,
"total_ris_peers": 0
}
},
"origins": [
{
"origin": 13335,
"route_objects": [
"APNIC"
]
}
],
"lessSpecifics": [],
"moreSpecifics": []
},
"rpki": {
"status": "valid",
"prefix": "1.1.1.0/24",
"asn": "13335"
},
"partialErrors": [],
"prefixes": [
{
"prefix": "1.1.1.0/24",
"ip": "1.1.1.1",
"cidr": 24,
"asn": {
"asn": 13335,
"country_code": "",
"description": "",
"name": ""
}
}
],
"allocation": null,
"prefix": {
"asDescription": "",
"asName": "",
"asn": 13335,
"cidr": 24,
"countryCode": "",
"prefix": "1.1.1.0/24"
},
"ptrRecord": null
},
"geo": {
"city": "South Brisbane",
"continent": "Oceania",
"coordinates": {
"latitude": -27.4766,
"longitude": 153.0166
},
"country": "Australia",
"countryCode": "AU",
"region": "Queensland",
"regionCode": "QLD",
"timezone": "Australia/Brisbane",
"zip": "4101"
},
"hostedDomains": {
"domains": [
"site-a.example.net"
],
"total": 500
},
"hostnames": [
"one.one.one.one",
"host-a.example.com",
"host-b.example.org"
],
"network": {
"asName": "CLOUDFLARENET",
"asn": "AS13335 Cloudflare, Inc.",
"isHosting": true,
"isMobile": false,
"isProxy": false,
"isp": "Cloudflare, Inc",
"organization": "APNIC and Cloudflare DNS Resolver project",
"reverse": "one.one.one.one"
},
"ports": {
"cpes": [
"cpe:/a:cloudflare:cloudflare"
],
"hostnames": [
"one.one.one.one",
"host-a.example.com",
"host-b.example.org"
],
"ports": [
53
],
"tags": [
"pqc"
],
"vulns": []
},
"reputation": {
"dnsbl": {
"checked": [
"zen.spamhaus.org",
"bl.spamcop.net",
"dnsbl.sorbs.net",
"psbl.surriel.com",
"b.barracudacentral.org",
"dnsbl-1.uceprotect.net",
"ix.dnsbl.manitu.net",
"all.s5h.net"
],
"ip": "1.1.1.1",
"isTor": false,
"listedIn": []
},
"otx": {
"isMalicious": false,
"reports": [],
"pulseCount": 0,
"reputation": 0,
"topPulses": []
},
"urlhaus": {
"blacklists": [],
"queryStatus": "no_results",
"urlCount": 0
}
},
"risk": {
"labels": [
"Hosting / Datacenter"
],
"score": 0
},
"rdns": {
"hostnames": [
"one.one.one.one"
],
"ptrName": "1.1.1.1.in-addr.arpa"
},
"whois": {
"events": [
{
"eventAction": "registration",
"eventDate": "2011-08-10T23:12:35Z"
}
],
"ipVersion": "v4",
"status": [
"active"
],
"startAddress": "1.1.1.0",
"endAddress": "1.1.1.255",
"contacts": {
"technical": {
"name": "APNICRANDNET Infrastructure Contact",
"phone": "+1.0000000000",
"email": "[email protected]",
"handle": "AIC3-AP"
},
"abuse": {
"name": "IRT-APNICRANDNET-AU",
"email": "[email protected]",
"handle": "IRT-APNICRANDNET-AU"
},
"registrant": {
"name": "APNIC Research and Development",
"phone": "+1.0000000000",
"email": "[email protected]",
"handle": "ORG-ARAD1-AP"
}
},
"country": "AU",
"handle": "1.1.1.0 - 1.1.1.255",
"name": "APNIC-LABS",
"parentHandle": null,
"range": "1.1.1.0 - 1.1.1.255",
"rdapLink": "https://rdap.apnic.net/ip/1.1.1.0/24",
"registeredAt": "2011-08-10",
"type": "ASSIGNED PORTABLE",
"updatedAt": "2023-04-26",
"whoisServer": "whois.apnic.net"
}
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "all",
"query": {
"ip": "1.1.1.1"
},
"tool": "ip-intelligence"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Body
application/json
Was this page helpful?
⌘I
IP Intelligence: all
curl --request POST \
--url https://api.osint.ly/tools/ip-intelligence/all \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "1.1.1.1",
"save": false,
"sections": []
}
'import requests
url = "https://api.osint.ly/tools/ip-intelligence/all"
payload = {
"ip": "1.1.1.1",
"save": False,
"sections": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip: '1.1.1.1', save: false, sections: []})
};
fetch('https://api.osint.ly/tools/ip-intelligence/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.osint.ly/tools/ip-intelligence/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ip' => '1.1.1.1',
'save' => false,
'sections' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.osint.ly/tools/ip-intelligence/all"
payload := strings.NewReader("{\n \"ip\": \"1.1.1.1\",\n \"save\": false,\n \"sections\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.osint.ly/tools/ip-intelligence/all")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ip\": \"1.1.1.1\",\n \"save\": false,\n \"sections\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.osint.ly/tools/ip-intelligence/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ip\": \"1.1.1.1\",\n \"save\": false,\n \"sections\": []\n}"
response = http.request(request)
puts response.read_body{
"data": {
"partialErrors": [],
"collectedSections": [
"geo",
"network",
"bgp",
"whois",
"rdns",
"risk",
"ports",
"reputation",
"hosted-domains"
],
"bgp": {
"routing": {
"observedAt": "2026-11-12T16:00:00",
"firstSeen": {
"prefix": "1.1.1.0/24",
"origin": "19855",
"time": "2001-11-14T00:00:00"
},
"lastSeen": {
"prefix": "1.1.1.0/24",
"origin": "13335",
"time": "2026-11-12T16:00:00"
},
"visibility": {
"v4": {
"ris_peers_seeing": 234,
"total_ris_peers": 235
},
"v6": {
"ris_peers_seeing": 0,
"total_ris_peers": 0
}
},
"origins": [
{
"origin": 13335,
"route_objects": [
"APNIC"
]
}
],
"lessSpecifics": [],
"moreSpecifics": []
},
"rpki": {
"status": "valid",
"prefix": "1.1.1.0/24",
"asn": "13335"
},
"partialErrors": [],
"prefixes": [
{
"prefix": "1.1.1.0/24",
"ip": "1.1.1.1",
"cidr": 24,
"asn": {
"asn": 13335,
"country_code": "",
"description": "",
"name": ""
}
}
],
"allocation": null,
"prefix": {
"asDescription": "",
"asName": "",
"asn": 13335,
"cidr": 24,
"countryCode": "",
"prefix": "1.1.1.0/24"
},
"ptrRecord": null
},
"geo": {
"city": "South Brisbane",
"continent": "Oceania",
"coordinates": {
"latitude": -27.4766,
"longitude": 153.0166
},
"country": "Australia",
"countryCode": "AU",
"region": "Queensland",
"regionCode": "QLD",
"timezone": "Australia/Brisbane",
"zip": "4101"
},
"hostedDomains": {
"domains": [
"site-a.example.net"
],
"total": 500
},
"hostnames": [
"one.one.one.one",
"host-a.example.com",
"host-b.example.org"
],
"network": {
"asName": "CLOUDFLARENET",
"asn": "AS13335 Cloudflare, Inc.",
"isHosting": true,
"isMobile": false,
"isProxy": false,
"isp": "Cloudflare, Inc",
"organization": "APNIC and Cloudflare DNS Resolver project",
"reverse": "one.one.one.one"
},
"ports": {
"cpes": [
"cpe:/a:cloudflare:cloudflare"
],
"hostnames": [
"one.one.one.one",
"host-a.example.com",
"host-b.example.org"
],
"ports": [
53
],
"tags": [
"pqc"
],
"vulns": []
},
"reputation": {
"dnsbl": {
"checked": [
"zen.spamhaus.org",
"bl.spamcop.net",
"dnsbl.sorbs.net",
"psbl.surriel.com",
"b.barracudacentral.org",
"dnsbl-1.uceprotect.net",
"ix.dnsbl.manitu.net",
"all.s5h.net"
],
"ip": "1.1.1.1",
"isTor": false,
"listedIn": []
},
"otx": {
"isMalicious": false,
"reports": [],
"pulseCount": 0,
"reputation": 0,
"topPulses": []
},
"urlhaus": {
"blacklists": [],
"queryStatus": "no_results",
"urlCount": 0
}
},
"risk": {
"labels": [
"Hosting / Datacenter"
],
"score": 0
},
"rdns": {
"hostnames": [
"one.one.one.one"
],
"ptrName": "1.1.1.1.in-addr.arpa"
},
"whois": {
"events": [
{
"eventAction": "registration",
"eventDate": "2011-08-10T23:12:35Z"
}
],
"ipVersion": "v4",
"status": [
"active"
],
"startAddress": "1.1.1.0",
"endAddress": "1.1.1.255",
"contacts": {
"technical": {
"name": "APNICRANDNET Infrastructure Contact",
"phone": "+1.0000000000",
"email": "[email protected]",
"handle": "AIC3-AP"
},
"abuse": {
"name": "IRT-APNICRANDNET-AU",
"email": "[email protected]",
"handle": "IRT-APNICRANDNET-AU"
},
"registrant": {
"name": "APNIC Research and Development",
"phone": "+1.0000000000",
"email": "[email protected]",
"handle": "ORG-ARAD1-AP"
}
},
"country": "AU",
"handle": "1.1.1.0 - 1.1.1.255",
"name": "APNIC-LABS",
"parentHandle": null,
"range": "1.1.1.0 - 1.1.1.255",
"rdapLink": "https://rdap.apnic.net/ip/1.1.1.0/24",
"registeredAt": "2011-08-10",
"type": "ASSIGNED PORTABLE",
"updatedAt": "2023-04-26",
"whoisServer": "whois.apnic.net"
}
},
"meta": {
"timestamp": "2026-11-13T10:00:00.000Z"
},
"operation": "all",
"query": {
"ip": "1.1.1.1"
},
"tool": "ip-intelligence"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}